Subject: [rmcat] SCReAM implementation of draft-ietf-avtcore-cc-feedback-message-02

From: Ingemar Johansson S <[email-masked]>
Date: Thu, 6 Sep 2018 14:00:21 +0000

Gentlepeople!

The SCReAM implementation found at https://github.com/EricssonResearch/scream now implements https://tools.ietf.org/html/draft-ietf-avtcore-cc-feedback-message-02
Really hope that I got everything right

General impressions:
1 The overhead increases a bit as compared to the previous proprietary format, it should not cause too much headache at high media rates but can be a concern over low bitrate links , see https://github.com/EricssonResearch/scream#feedback-format for a few ballpark numbers. I will later see if one can lower the feedback rate or the ACK range.

2 The ACK range is 64 RTP packets, in the absence of packet loss in the feedback path this is a bit overkill, for SCReAM it should suffice with a 16 bit ACK range, there is a certain risk of false loss detection with a reduced ACK range however.

3 I changed the internal time base in the code to 32 bit unsigned Q16 variable, If I understand things this should reflex the middle 32 bits in the 64bit NTP time stamp. The time base was earlier a 64 bit time in microseconds, this change remove a lot of messy conversions and hopefully a few potential bugs.

/Ingemar
==================================
Ingemar Johansson  M.Sc.
Master Researcher

Ericsson Research
Network Protocols & E2E Performance
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com

         Between the wish and the thing
               the world lies waiting.
                 Cormac McCarthy
==================================